Skip to main content
GET
/
v1
/
appointments
/
calendar
Get appointment calendar feed items for the requested range
curl --request GET \
  --url https://dev.flextell.ai/api/v1/appointments/calendar \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "from": "<string>",
    "to": "<string>",
    "timezone": "<string>",
    "items": [
      {
        "kind": "<string>",
        "reason": "<string>",
        "start_at": "<string>",
        "end_at": "<string>",
        "doctor_name": "<string>",
        "treatment_name": "<string>",
        "time_label": "<string>",
        "appointment_id": 123,
        "show_details": true,
        "meta": {
          "status": "<string>",
          "status_label": "<string>",
          "is_old_slot": true,
          "reschedule_confirmation_pending": true,
          "is_hard_reserved": true,
          "original_scheduled_at": "<string>",
          "proposed_scheduled_at": "<string>",
          "pending_expires_at": "<string>"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

from
string<date-time>
required

Filter records from this date or datetime (YYYY-MM-DD).

to
string<date-time>
required

Filter records up to this date or datetime (YYYY-MM-DD).

Response

success
string
required
data
object
required